/**
 * 构造方法
 * @returns
 */
function SelectAll(){	
}

/**
 * 绑定全选事件
 */
SelectAll.prototype.bindingSelectAll = function(divId){
	var that = this;
	$('#'+divId+' > table > thead > tr > th:eq(0)').addClass('checked');
	$('#'+divId+' > table > thead > tr > th:eq(0)').click(function(){		
		if($(this).hasClass('checked')){
			$(this).find(":checkbox").prop('checked',true);
			$(this).removeClass('checked');
		}else{
			$(this).find(":checkbox").prop('checked',false);
			$(this).addClass('checked');
		}
		/*判断全选器是否被选中*/
		if($(this).find(":checkbox").is(':checked')){
			that.selectAll(divId);
		}else{
			that.unSelectAll(divId);
		}
	});
}

/**
 * 全选
 */
SelectAll.prototype.selectAll = function(divId){		
	var checkbox = $("#"+divId+" table > tbody > tr > td :checkbox");
	$(checkbox).prop('checked',true);
	$(checkbox).change();
}

/**
 * 全部取消
 */
SelectAll.prototype.unSelectAll = function(divId){	
	var checkbox = $("#"+divId+" table > tbody > tr > td :checkbox");
	$(checkbox).prop('checked',false);
	$(checkbox).change();
}